## kcmutils 5.56.0

=== debian/changelog ===
kcmutils (5.56.0-0ubuntu2) disco; urgency=medium

  * Add patch to fix crash on trying to open Kontact settings dialog.
    KDE Bug: 405440.
    - debian/patches: upstream_fix-kontact-settings.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 22 Mar 2019 09:45:42 +0000

kcmutils (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:33 +0000

kcmutils (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:37 +0000

kcmutils (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:47 +0000

kcmutils (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:37 +0000

kcmutils (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:11 +0000
