## kcmutils 5.74.0

=== debian/changelog ===
kcmutils (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:37 +0100

kcmutils (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:56:22 +0100

kcmutils (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:28 +0100

kcmutils (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Drop included patches:
    - upstream_fix-crash-loading-external-app.patch
    - upstream_fix-kcmshell.patch
  * Do not run tests at build time.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:42 +0100

kcmutils (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.
    - debian/patches:
      + upstream_fix-crash-loading-external-app.patch
      + upstream_fix-kcmshell.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 14:14:27 +0100

kcmutils (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols file from the logs of buildds.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.
  * Remove not needed Depends.
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:18 +0200

kcmutils (5.70.0-0ubuntu3) groovy; urgency=medium

  * Add upstream_fix-kcmshell.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 26 May 2020 09:28:20 +0100

kcmutils (5.70.0-0ubuntu2) groovy; urgency=medium

  * Add upstream patch to fix systemsettings crash when attempting to
    launch an external app. https://bugs.kde.org/421566
    - debian/patches: upstream_fix-crash-loading-external-app.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 20 May 2020 22:29:04 +0100

kcmutils (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:19 +0100

kcmutils (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Update symbols from buildds for 5.62.0
  * Update symbols from build for 5.69.0.
  * Cleanup copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:42 +0200
