=== debian/control ===
Source: kcmutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libkf5configwidgets-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5declarative-dev (>= 5.78.0~),
               libkf5guiaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5itemviews-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcmutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcmutils.git
Rules-Requires-Root: no

Package: libkf5kcmutils-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf5kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.78.0~),
         libkf5itemviews-dev (>= 5.78.0~),
         libkf5kcmutils5 (= ${binary:Version}),
         libkf5service-dev (>= 5.78.0~),
         libkf5xmlgui-dev (>= 5.78.0~),
         ${misc:Depends}
Recommends: libkf5kcmutils-doc (= ${source:Version})
Description: Extra APIs to write KConfig modules.
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf5kcmutils5
Architecture: any
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
Breaks: libkf5kdelibs4support5 (<<5.69~)
